:host {
    display: flex;
    justify-content: space-between;
}
.content {
    margin: 10vh 0 0 2rem;
}

input[type="checkbox"]:not(:checked) {
    background-color: #fff;
}

.transactions-container {
    @media (max-height: 850px) {
        height: 40vh;
    }

    @media (min-height: 851px) {
        height: 50vh;
    }

    width: 80vw;
    overflow-y: auto;
    padding: 0 3rem 1rem 1rem;
    margin: 1rem 0;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;

    > li {
        &:not(:first-child) {
            margin-top: 2rem;
            padding: 1rem;
        }

        h2 {
            margin: 0;
        }

        &.income {
            &:hover {
                background-color: rgba(42, 158, 0, 0.2);
                h2 {
                    color: #000;
                }
            }
        }

        &.expense {
            &:hover {
                background-color: rgba(204, 2, 0, 0.2);
                h2 {
                    color: #000;
                }
            }
        }

        &.fixed {
            position: sticky;
            top: 0;
            left: 0;
            right: 0;
            z-index: 99;
        }
    }

    &.passive {
        box-shadow: none;
        padding: 1rem 0;
        ul {
            padding-inline-start: 0;

            > li {
                padding-left: 0;
            }
        }
    }
}

.loading-container {
    width: 80vw;
    height: 35vh;
    display: flex;
    align-items: center;
    justify-content: center;

    svg {
        width: 150px;
        height: 150px;
    }
}
